View Issue Details

IDProjectCategoryView StatusLast Update
0006131Talerexchangepublic2020-03-31 16:04
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.6 
Target Version0.7.0Fixed in Version0.7.0 
Summary0006131: recoup test cases incomplete
DescriptionThe following things aren't covered but would be easy to cover:

1. check for correct response of a recoup request where the denomination has not been revoked
2. check for correct response for recoup request of a revoked coin that has 0 remaining balance (this in fact currently trips up the exchange api lib)
3. check for idempotency of both the recoup-refresh and the recoup-withdrawal variants (currently only the former is covered)
TagsNo tags attached.

Activities

Florian Dold

2020-03-27 12:34

manager   ~0015468

Fixed in 0a047c155

Issue History

Date Modified Username Field Change
2020-03-20 09:42 Florian Dold New Issue
2020-03-20 09:42 Florian Dold Status new => assigned
2020-03-20 09:42 Florian Dold Assigned To => Christian Grothoff
2020-03-27 11:28 Christian Grothoff Severity minor => feature
2020-03-27 11:28 Christian Grothoff Product Version => 0.6
2020-03-27 11:28 Christian Grothoff Target Version => 0.7.0
2020-03-27 12:34 Florian Dold Status assigned => resolved
2020-03-27 12:34 Florian Dold Resolution open => fixed
2020-03-27 12:34 Florian Dold Note Added: 0015468
2020-03-27 13:49 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2020-03-27 13:49 Christian Grothoff Fixed in Version => 0.7.0
2020-03-31 16:04 Christian Grothoff Status resolved => closed